/*
 * Class FINITE [REAL_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_637 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_637 [] = {0xFF01,237,636,179,0xFFFF};
static const EIF_TYPE_INDEX egt_2_637 [] = {0xFF01,636,179,0xFFFF};
static const EIF_TYPE_INDEX egt_3_637 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_637 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_637 [] = {0xFF01,636,179,0xFFFF};
static const EIF_TYPE_INDEX egt_6_637 [] = {0xFF01,636,179,0xFFFF};
static const EIF_TYPE_INDEX egt_7_637 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_637 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_637 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_637 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_637 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_637 [] = {636,179,0xFFFF};
static const EIF_TYPE_INDEX egt_13_637 [] = {0xFF01,636,179,0xFFFF};
static const EIF_TYPE_INDEX egt_14_637 [] = {0xFF01,624,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_637 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_637[] = {
	{EIF_GENERIC(NULL), 2038, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_637), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_637), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_637), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_637), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_637), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_637), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_637), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_637), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_637), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_637), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_637), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_637), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_637), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_637), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2037, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1895, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1896, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1897, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1898, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1899, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_637), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_637), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
};
void Init637(void)
{
	IDSC(desc_637, 0, 636);
	IDSC(desc_637 + 1, 1, 636);
	IDSC(desc_637 + 32, 77, 636);
	IDSC(desc_637 + 41, 50, 636);
	IDSC(desc_637 + 42, 35, 636);
}


#ifdef __cplusplus
}
#endif
